<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){ 
    
    case 'award_receive':
        $award_id = $_GET['award_id'];    $award_id = abs(intval($award_id));
        
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($award_id)){
			echo "<font size='4' color='red'>Chưa chọn item.</font>";
		}
		elseif (!preg_match("/^[0-9]*$/i", $award_id)){
			echo "<font color='red'>Dữ liệu lỗi - Items chỉ được sử dụng số 1-9.</font>";
		}
		else {
		
			$getcontent_url = $server_url . "/event_award.php";
			$getcontent_data = array(
				'login'    =>  $_SESSION['mu_username'],
				'name'    =>  $_SESSION['mu_nvchon'],
				'action'    =>  'award_receive',
				'award_id'    =>  $award_id,
				
				'string_login'    =>  $_SESSION['checklogin'],
				'passtransfer'    =>  $passtransfer
			);
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) echo "Server bảo trì.";
			elseif($reponse == "login_other") {
				echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
				session_destroy();
			}
			else {
				if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
					$award_unreceive_count = read_TagName($reponse, 'info', 2);
					echo "|OK|$award_unreceive_count|Bạn đã nhận thưởng thành công!";
				} else echo $reponse;
			}
		}
    break;

    case 'sharefb':
        
        $getcontent_url = $server_url . "/event_award.php";
        $getcontent_data = array(
            'login'    =>  $_SESSION['mu_username'],
            'name'    =>  $_SESSION['mu_nvchon'],
            'action'    =>  'award_sharefb',
            
            'string_login'    =>  $_SESSION['checklogin'],
            'passtransfer'    =>  $passtransfer
        );
        
        $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
        
        if ( empty($reponse) ) echo "Server bảo trì.";
        elseif($reponse == "login_other") {
        	echo "Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.";
        	session_destroy();
        }
        else {
        	if ( read_TagName($reponse, 'info', 1) == 'OK' ) {
                echo "OK";
        	} else echo $reponse;
        }
    break;
    
}

?>